/*******************************************************************************
*
* Freescale Semiconductor Inc.
* (c) Copyright 2012 Freescale Semiconductor, Inc.
* ALL RIGHTS RESERVED.
*
****************************************************************************//*!
*
* @file     api.h
*
* @author   B06050
* 
* @version  1.0.1.0
* 
* @date     Jul-10-2012
* 
* @brief    Autonomous periodic timer SW module header file.
*
*******************************************************************************/
#ifndef _API_H
#define _API_H

/* Variable types and common definitions */
#include "derivative.h"
#include "typedefs.h"

/* API time-out periods valid for BUSclk=25MHz */
/* APIperiod = (Period * BUSclk / 2) - 1 */
#define API_20US    249     /* 20us delay */
#define API_100US   1249    /* 100us delay */
#define API_5MS     62499   /* 5ms delay */

void API_Delay(uint16_t u16period);

#endif /* _API_H */